#!/bin/sh
# Copyright (c) 2017-2018 LG Electronics, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0

# nuke the jails on boot, in case we ota to a new kernel with
# different major/minor numbers.
# only do it if there are no mounts in jails... we're booting
# so there shouldn't be any.

# only wipe the jails if the webos_release or webos_build_id has changed
# (e.g. after system update)
# Because to build an image on developer's local machine with a new kernel
# doesn't affect the webos_release or webos_build_id value,
# developers who want to test a new kernel with different device node numbers
# should wipe the jails. (rm -rf /var/palm/jail/*)
eval $(nyx-cmd OSInfo query --format=shell webos_release webos_build_id)
JAIL_STAMP="/var/palm/data/jail-reset.$webos_release-$webos_build_id"
if [ ! -e ${JAIL_STAMP} ] ; then
    mkdir -p --mode=0755 /var/palm/data /var/palm/jail
    chown 0:0 /var/palm/data /var/palm/jail
    mount | grep -qs /var/palm/jail || rm -rf /var/palm/jail/*
    rm -f /var/palm/data/jail-reset.*
    touch ${JAIL_STAMP}
fi
