#!/bin/sh
# Copyright (c) 2018 LG Electronics, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0

SWAP_DEV=/dev/zram0
if [ ! -b $SWAP_DEV ]; then
    SWAP_DEV=/tmp/zram0
fi

mkswap $SWAP_DEV > /dev/null 2>&1 || true;

if swapon --discard $SWAP_DEV; then
    echo "Swapon succeeded"
else
    echo "Swapon failed"
fi
